import api from './api'

// 删除用户地址
export function getAddressDel(data) {
  return api.post(`/address/del/${data.id}`, undefined, { login: true })
}

// 设置默认地址
export function getAddressDefault(data) {
  return api.post(`/address/default/set/{id}`, data, { login: true })
}

// 添加或修改地址
export function getAddressAddAndEdit(data) {
  return api.post(`/address/addAndEdit`, data, { login: true })
}

// 用户地址列表
export function getAddressList(data) {
  return api.get(`/address/list`, data, { login: true })
}

// 城市列表
export function getAddressCityList(data) {
  return api.get(`/address/city_list`, data, { login: true })
}
